Aether

Queues

Configure recurring publish slot schedules for an organization. Posts added to a queue are automatically published at the scheduled times.

GET
/queues

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Response Body

application/json

curl -X GET "https://example.com/queues"
Empty
{  "success": false,  "error": {    "code": "PROFILE_NOT_FOUND",    "message": "string",    "details": {}  }}
POST
/queues

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/queues" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "timezone": "string",    "slots": [      {        "dayOfWeek": 0,        "time": "string"      }    ]  }'
Empty
{  "success": false,  "error": {    "code": "PROFILE_NOT_FOUND",    "message": "string",    "details": {}  }}
GET
/queues/next-slot

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Query Parameters

queueId?string

Response Body

application/json

curl -X GET "https://example.com/queues/next-slot"
Empty
{  "success": false,  "error": {    "code": "PROFILE_NOT_FOUND",    "message": "string",    "details": {}  }}
GET
/queues/{queueId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

queueId*string

Response Body

application/json

curl -X GET "https://example.com/queues/string"
Empty
{  "success": false,  "error": {    "code": "PROFILE_NOT_FOUND",    "message": "string",    "details": {}  }}
PATCH
/queues/{queueId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

queueId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PATCH "https://example.com/queues/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
DELETE
/queues/{queueId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from your Aether dashboard

In: header

Path Parameters

queueId*string

Response Body

curl -X DELETE "https://example.com/queues/string"
Empty

On this page